org.fourthline.cling.protocol.async

## Class SendingNotification

- java.lang.Object
- - org.fourthline.cling.protocol.SendingAsync
  - - org.fourthline.cling.protocol.async.SendingNotification

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    SendingNotificationAlive, SendingNotificationByebye

      public abstract class SendingNotification
      extends SendingAsync

  Sending notification messages for a registered local device.

  Sends all required (dozens) of messages three times, waits between 0 and 150 milliseconds between each bulk sending procedure.

  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendingNotification(UpnpService upnpService, LocalDevice device)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<OutgoingNotificationRequest>` | `createDeviceMessages(LocalDevice device, Location descriptorLocation)`
    `protected List<OutgoingNotificationRequest>` | `createServiceTypeMessages(LocalDevice device, Location descriptorLocation)`
    `protected void` | `execute()`
    `protected int` | `getBulkIntervalMilliseconds()`
    `protected int` | `getBulkRepeat()`
    `LocalDevice` | `getDevice()`
    `protected abstract NotificationSubtype` | `getNotificationSubtype()`
    `void` | `sendMessages(Location descriptorLocation)`

    - ### Methods inherited from class org.fourthline.cling.protocol.SendingAsync

      `getUpnpService, run, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SendingNotification

          public SendingNotification(UpnpService upnpService,
                                     LocalDevice device)

  - ### Method Detail

    - #### getDevice

          public LocalDevice getDevice()

    - #### execute

          protected void execute()
                          throws RouterException

      Specified by:
        `execute` in class `SendingAsync`
      Throws:
        `RouterException`

    - #### getBulkRepeat

          protected int getBulkRepeat()

    - #### getBulkIntervalMilliseconds

          protected int getBulkIntervalMilliseconds()

    - #### sendMessages

          public void sendMessages(Location descriptorLocation)
                            throws RouterException

      Throws:
        `RouterException`

    - #### createDeviceMessages

          protected List<OutgoingNotificationRequest> createDeviceMessages(LocalDevice device,
                                                                           Location descriptorLocation)

    - #### createServiceTypeMessages

          protected List<OutgoingNotificationRequest> createServiceTypeMessages(LocalDevice device,
                                                                                Location descriptorLocation)

    - #### getNotificationSubtype

          protected abstract NotificationSubtype getNotificationSubtype()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.